Issue 124928 - Particular .xlsx Cell contents multiplied within cell
Summary: Particular .xlsx Cell contents multiplied within cell
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: open-import (show other issues)
Version: 4.1.0
Hardware: All All
: P3 Major (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-05-19 09:57 UTC by fanyuzhen
Modified: 2017-05-20 10:35 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
XLSX file with data filter (99.78 KB, application/unknown)
2014-05-19 10:04 UTC, fanyuzhen
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description fanyuzhen 2014-05-19 09:57:12 UTC
Steps:
1. Open attached .xlsx file which has filter to Calc
2. Check cell C68

Problem: content in cell C68 displays repeatedly
Comment 1 fanyuzhen 2014-05-19 10:04:47 UTC
Created attachment 83417 [details]
XLSX file with data filter
Comment 2 Rainer Bielefeld 2014-05-19 12:20:30 UTC
Reproducible with server installation of "AOO 4.1.0-dev – English UI / German locale - [AOO410m14(Build:9760)  -  Rev. 1583418 2014-05-03]" on German WIN7 Home Premium (64bit)", own separate user profile.

When I open document with AOO string in cell C68 "华南理工大学" will be shown as 18 times "华南理工大学" (without separators).

(a) No problem with 3.3.0, so REGRESSION.
(b) If useful I can narrow down version of appearance.
(c) Looks ok with Kingsoft Spreadsheet and MS Excel viewer, also LibO 4.2 not
   affected
Comment 3 SVN Robot 2014-05-26 03:03:15 UTC
"clarence_guo" committed SVN revision 1597503 into trunk:
for #i124928, rich text portion could be converted several times, each time w...
Comment 4 Clarence GUO 2014-05-26 03:05:10 UTC
Fixed and change status
Comment 5 Clarence GUO 2014-05-27 01:36:10 UTC
When text in a cell has different format, it will divided into several text portions. Each portion will be converted once when finalizeImport is called. It is possible that the finalizeImport is called several times which means the conversion also could be called several times. But in the conversion, the portion string is inserted instead of rewrite. Hence in such scenario, the text portion was repeatedly inserted.
Add a flag to avoid repeated conversion.